explain_sleep_or_die(3)

NAME
explain_sleep_or_die - Sleep for a number of seconds and report errors

SYNOPSIS
#include <libexplain/sleep.h>

unsigned int explain_sleep_or_die(unsigned int seconds);
unsigned int explain_sleep_on_error(unsigned int seconds);

DESCRIPTION
The explain_sleep_or_die function is used to call the sleep(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_sleep(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_sleep_on_error function is used to call the sleep(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_sleep(3) function, but still returns to the caller.

seconds
    The seconds, exactly as to be passed to the sleep(3) system call.

RETURN VALUE
The explain_sleep_or_die function only returns on success, see sleep(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_sleep_on_error function always returns the value return by the wrapped sleep(3) system call.

EXAMPLE
The explain_sleep_or_die function is intended to be used in a fashion similar to the following example:
    unsigned int result = explain_sleep_or_die(seconds);

SEE ALSO

sleep(3)
    Sleep for the specified number of seconds

explain_sleep(3)
    explain sleep(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2013 Peter Miller